org.postgis.jts

## Class JTSShape.LineStringPathIterator

- java.lang.Object
- - org.postgis.jts.JTSShape.GeometryPathIterator
  - - org.postgis.jts.JTSShape.LineStringPathIterator

All Implemented Interfaces:
  PathIterator

Direct Known Subclasses:
  JTSShape.PolygonPathIterator

Enclosing class:
  JTSShape

    public static class JTSShape.LineStringPathIterator
    extends JTSShape.GeometryPathIterator

### Field Summary

### Fields inherited from class org.postgis.jts.JTSShape.GeometryPathIterator

`at, index`

### Fields inherited from interface java.awt.geom.PathIterator

`SEG_CLOSE, SEG_CUBICTO, SEG_LINETO, SEG_MOVETO, SEG_QUADTO, WIND_EVEN_ODD, WIND_NON_ZERO`

### Constructor Summary

Constructors
Constructor and Description
`LineStringPathIterator(org.locationtech.jts.geom.LineString ls, AffineTransform _at)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `currentSegment(double[] coords)`
`int` `currentSegment(float[] coords)`
`boolean` `isDone()`
`protected void` `reInit(org.locationtech.jts.geom.CoordinateSequence _cs)` only to be called from PolygonPathIterator subclass

### Methods inherited from class org.postgis.jts.JTSShape.GeometryPathIterator

`getWindingRule, next`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineStringPathIterator

    public LineStringPathIterator(org.locationtech.jts.geom.LineString ls,
                                  AffineTransform _at)

### Method Detail

#### reInit

    protected void reInit(org.locationtech.jts.geom.CoordinateSequence _cs)

only to be called from PolygonPathIterator subclass

Parameters:
  `_cs` - A coordinate sequence to be used.

#### currentSegment

    public int currentSegment(float[] coords)

#### currentSegment

    public int currentSegment(double[] coords)

#### isDone

    public boolean isDone()